SparrowDesk
ContactsId

Retrieve a contact

GET
/contacts/{id}
AuthorizationBearer <token>

In: header

Path Parameters

idinteger

Response Body

application/json

application/json

application/json

curl -X GET "https://app.sparrowdesk.com/v1/contacts/0"
{
  "data": {
    "id": 12345,
    "first_name": "John",
    "last_name": "Doe",
    "full_name": "John Doe",
    "email": "[email protected]",
    "phone": "+1234567890",
    "language": "en",
    "time_zone": "UTC",
    "country": "US",
    "region": "California",
    "city": "San Francisco",
    "active": true,
    "unsubscribed": false,
    "blocked": false,
    "avatar": null,
    "company_id": 123,
    "company_name": "apple",
    "custom_fields": {
      "company_size": "51-200",
      "job_title": "Software Engineer",
      "lead_source": "website"
    },
    "properties": {
      "utm_term": "",
      "utm_medium": "landing",
      "utm_source": "test",
      "utm_content": "",
      "utm_campaign": "summer2025"
    },
    "created_at": 1672531200,
    "updated_at": 1672531200
  }
}
{
  "error": {
    "message": "Contact not found"
  }
}
{
  "error": {
    "message": "Error retrieving contact"
  }
}